

o32007 = read.table("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/o3data2007.correctedNov2020.csv", sep = ",", header = TRUE, stringsAsFactors = FALSE)
## old 2007 file had duplicate May values
#o32007 = read.table("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/o3data2007.csv", sep = ",", header = TRUE, stringsAsFactors = FALSE)
## this file erroneously reported MDA1 values as MDA8 values
#o32016 = read.table("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/o3data2016.csv", sep = ",", header = TRUE, stringsAsFactors = FALSE)
## this version used base run ozone which was slightly different from ozone in the HDDM run
#o32016 = read.table("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/o3data2016.notag.csv", sep = ",", header = TRUE, stringsAsFactors = FALSE)
o32016 = read.table("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/o3data2016.hddm.csv", sep = ",", header = TRUE, stringsAsFactors = FALSE)

## change site id to character string

o32007$site = formatC(o32007$SiteId, width = 9, flag = 0)
o32016$site = formatC(as.character(o32016$SiteId), width = 9, flag = 0)
o32016$site = gsub(" ","0",o32016$site)

## date info
o32007$date = as.Date(substr(o32007$Time.On,1,10),format = "%m/%d/%Y")
o32007$dow = format(o32007$date, format = "%a")
o32007$dow.num = format(o32007$date, format = "%w")
o32007$dow.cat = NA
o32007$dow.cat = ifelse(o32007$dow %in% c("Sun"),"Weekend",o32007$dow.cat)
o32007$dow.cat = ifelse(o32007$dow %in% c("Tue","Wed","Thu"),"Weekday",o32007$dow.cat)
o32007$dow.cat = ifelse(o32007$dow %in% c("Mon","Fri","Sat"),"other",o32007$dow.cat)
o32007$month = format(o32007$date, format = "%m")


o32016$date = as.Date(substr(o32016$Time.On,1,10),format = "%m/%d/%Y")
o32016$dow = format(o32016$date, format = "%a")
o32016$month = format(o32016$date, format = "%m")
o32016$dow.num = format(o32016$date, format = "%w")
o32016$dow.cat = NA
o32016$dow.cat = ifelse(o32016$dow %in% c("Sun"),"Weekend",o32016$dow.cat)
o32016$dow.cat = ifelse(o32016$dow %in% c("Tue","Wed","Thu"),"Weekday",o32016$dow.cat)
o32016$dow.cat = ifelse(o32016$dow %in% c("Mon","Fri","Sat"),"other",o32016$dow.cat)


## set -999 to NA

o32007[o32007$O3_8hrmax_ob == -999,"O3_8hrmax_ob"] = NA
o32016[o32016$O3_8hrmax_ob == -999,"O3_8hrmax_ob"] = NA


## remove non-lowest POC
mon2007 = unique(o32007$site)
mon2016 = unique(o32016$site)

multiplepocs07 = NA

for (n in  mon2007) {

 tmp = o32007[o32007$site == n,]
 ll = length(unique(tmp$POCode))
 if (ll > 1) {multiplepocs07 = c(multiplepocs07,n) }
 rm(tmp, ll)
}

multiplepocs07 = na.omit(multiplepocs07)

multiplepocs16 = NA

for (n in  mon2016) {

 tmp = o32016[o32016$site == n,]
 ll = length(unique(tmp$POCode))
 if (ll > 1) {multiplepocs16 = c(multiplepocs16,n) }
 rm(tmp, ll)

}
multiplepocs16 = na.omit(multiplepocs16)

for (s in multiplepocs07) {

 tmp = o32007[o32007$site == s,]
 minpoc = min(tmp$POCode)
 remove = which(o32007$site == s & o32007$POCode != minpoc)
 o32007 = o32007[-remove,]
 rm(tmp, minpoc)

}

for (s in multiplepocs16) {

 tmp = o32016[o32016$site == s,]
 minpoc = min(tmp$POCode)
 remove = which(o32016$site == s & o32016$POCode != minpoc)
 o32016 = o32016[-remove,]
 rm(tmp, minpoc)

}


## get site info


#load("/work/ROMO/users/shn/2013_O3_stepchange/o3data.rdata")
#o3data$site = paste(o3data$State.Cod, o3data$County.Code, o3data$Site.Num, sep = "")
#o3data = o3data[,c("site","Local.Site.Name","Address","City.Name","CBSA.Name")]
#o3data = o3data[!(duplicated(o3data$site)),]
#
#o32007 = merge(o32007, o3data, by = "site", all.x = TRUE, all.y = FALSE)
#o32016 = merge(o32016, o3data, by = "site", all.x = TRUE, all.y = FALSE)

#
#cbsa = unique(o32007$CBSA.Name)
#cbsa2 = unique(o32016$CBSA.Name)



dvs = read.table("/work/romo/users/shn/O3DVs_1980_2016.csv", sep = ",", header = TRUE, colClasses = "character")
dvs = dvs[,1:11]
dvs = dvs[,c(1,2,3,6,9:11)]

o32007 = merge(o32007, dvs, by = "site", all.x = TRUE, all.y = FALSE)
o32016 = merge(o32016, dvs, by = "site", all.x = TRUE, all.y = FALSE)

naa07 = unique(o32007$naa_name)
naa16 = unique(o32016$naa_name)

### look at each NAA 

naas = naa16[naa16 %in% naa07][3:52]
naas.shrt = rep(NA, 50)
for(n in 1:50) {

  tmp = gsub(" ","",naas[n])
  tmp2 = gsub("County","Co",tmp)
  tmp3 = gsub("/",",",tmp2)
  tmp4 = gsub("-",",",tmp3)
  tmp5 = strsplit(tmp4,",")[[1]][1]
  naas.shrt[n] = tmp5
  rm(tmp, tmp2, tmp3, tmp4,tmp5)

}

naas.shrt[2] = "SanFrancisco"
naas.shrt[6] = "Sacramento"
naas.shrt[9] = "Kern"
naas.shrt[11] = "SanBernardino"
naas.shrt[13] = "NevadaCo"
naas.shrt[14] = "Riverside"
naas.shrt[16] = "SanDiego"
naas.shrt[17] = "SanLuisObispo"
naas.shrt[22] = "Denver"
naas.shrt[38] = "DonaAnaCo"

library("viridis")
infernocols = inferno(4)
viridiscols = viridis(4)
magmacols = magma(4)
plasmacols = plasma(4)

dowttest = data.frame(naa = naas, naa.shrt = naas.shrt, obs.2007.pval = NA, obs.2007.diff = NA, obs.2007.cat = NA,  mod.2007.pval = NA, mod.2007.diff = NA, mod.2007.cat = NA,  obs.2016.pval = NA, obs.2016.diff = NA, obs.2016.cat = NA,  mod.2016.pval = NA, mod.2016.diff = NA, mod.2016.cat = NA)


dow.95perc = data.frame(naa = naas, naa.shrt = naas.shrt, obs.2007.diff.ppb = NA, mod.2007.diff.ppb = NA, obs.2016.diff.ppb = NA, mod.2016.diff.ppb = NA, obs.2007.diff.perc = NA, mod.2007.diff.perc = NA, obs.2016.diff.perc = NA, mod.2016.diff.perc = NA)

for (n in 1:length(naas)) {

tmp07.maysep = o32007[o32007$naa_name == naas[n] & o32007$month %in% c("05","06","07","08","09"),]
tmp07.maysep = tmp07.maysep[!(is.na(tmp07.maysep$naa_name)),]

tmp16.maysep = o32016[o32016$naa_name == naas[n] & o32016$month %in% c("05","06","07","08","09"),]
tmp16.maysep = tmp16.maysep[!(is.na(tmp16.maysep$naa_name)),]

tmp07.maysep.cat = tmp07.maysep[tmp07.maysep$dow.cat %in% c("Weekend","Weekday"),]
tmp16.maysep.cat = tmp16.maysep[tmp16.maysep$dow.cat %in% c("Weekend","Weekday"),]

tmpttest.obs07 = t.test(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekend","O3_8hrmax_ob"],tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"])
tmpttest.obs16 = t.test(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekend","O3_8hrmax_ob"],tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"])
tmpttest.mod07 = t.test(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekend","O3_8hrmax_mod"],tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"])
tmpttest.mod16 = t.test(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekend","O3_8hrmax_mod"],tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"])

dowttest[n,"obs.2007.pval"] = as.numeric(tmpttest.obs07$p.value)
dowttest[n,"obs.2007.diff"] = as.numeric(tmpttest.obs07$estimate[1])-as.numeric(tmpttest.obs07$estimate[2])
dowttest[n,"obs.2016.pval"] = as.numeric(tmpttest.obs16$p.value)
dowttest[n,"obs.2016.diff"] = as.numeric(tmpttest.obs16$estimate[1])-as.numeric(tmpttest.obs16$estimate[2])
dowttest[n,"mod.2007.pval"] = as.numeric(tmpttest.mod07$p.value)
dowttest[n,"mod.2007.diff"] = as.numeric(tmpttest.mod07$estimate[1])-as.numeric(tmpttest.mod07$estimate[2])
dowttest[n,"mod.2016.pval"] = as.numeric(tmpttest.mod16$p.value)
dowttest[n,"mod.2016.diff"] = as.numeric(tmpttest.mod16$estimate[1])-as.numeric(tmpttest.mod16$estimate[2])


dow.95perc[n,"obs.2007.diff.ppb"] = quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekend","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE) -  quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
dow.95perc[n,"obs.2007.diff.perc"] = 100*(quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekend","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE) -  quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE))/( quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE))
dow.95perc[n,"obs.2016.diff.ppb"] = quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekend","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE) -  quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
dow.95perc[n,"obs.2016.diff.perc"] = 100*(quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekend","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE) -  quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE))/( quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE))
dow.95perc[n,"mod.2007.diff.ppb"] = quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekend","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE) -  quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
dow.95perc[n,"mod.2007.diff.perc"] = 100*(quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekend","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE) -  quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE))/( quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE))
dow.95perc[n,"mod.2016.diff.ppb"] = quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekend","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE) -  quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
dow.95perc[n,"mod.2016.diff.perc"] = 100*(quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekend","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE) -  quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE))/( quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE))


#png(paste("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/naa_bps/nov242020_update/",naas.shrt[n],".pb.24nov2020.png", sep = ""),width = 8, height = 4, units = "in", res = 200) 
#par(mfcol = c(1,2), mgp = c(1.5,0.75,0))
#
#dow.obs07.95 = data.frame(dow = c(0:6), per95 = NA)
#dow.obs16.95 = data.frame(dow = c(0:6), per95 = NA)
#dow.mod07.95 = data.frame(dow = c(0:6), per95 = NA)
#dow.mod16.95 = data.frame(dow = c(0:6), per95 = NA)
#for (d in c(0:6)) {
#  dow.obs07.95[dow.obs07.95$dow == d,"per95"] = quantile(tmp07.maysep[tmp07.maysep$dow.num == d,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
#  dow.obs16.95[dow.obs16.95$dow == d,"per95"] = quantile(tmp16.maysep[tmp16.maysep$dow.num == d,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
#  dow.mod07.95[dow.mod07.95$dow == d,"per95"] = quantile(tmp07.maysep[tmp07.maysep$dow.num == d,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
#  dow.mod16.95[dow.mod16.95$dow == d,"per95"] = quantile(tmp16.maysep[tmp16.maysep$dow.num == d,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
#
#}
#
#yrange =  c(0,max(tmp07.maysep$O3_8hrmax_ob,tmp16.maysep$O3_8hrmax_ob, tmp07.maysep$O3_8hrmax_mod, tmp16.maysep$O3_8hrmax_mod, na.rm = TRUE))
#
# boxplot(tmp07.maysep$O3_8hrmax_ob ~ tmp07.maysep$dow.num, names = c("Sun","Mon","Tue","Wed","Thu","Fri","Sat"),ylim = yrange, col = magmacols[2], border = magmacols[1], lwd =1.5, main = paste("Observed O3 day-of-week \n in ",naas.shrt[n],sep = ""), ylab = c("MDA8 ozone"), cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5, xlim = c(0,8))
# boxplot(tmp16.maysep$O3_8hrmax_ob ~ tmp16.maysep$dow.num, add = TRUE, boxwex = 0.5, col = magmacols[4], border = magmacols[3], axes = FALSE, lwd = 1, cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5)
#legend("topright", legend = c("2007","2016","95th %ile"), fill = c(magmacols[2],magmacols[4],"white"), border = c(magmacols[1],  magmacols[3],"white"),lwd = c(NA,NA,1), bg = "white", cex = 0.75)
#points(c(1:7),dow.obs07.95$per95, pch = 8, col = magmacols[2], type = "l")
#points(c(1:7),dow.obs16.95$per95, pch = 8, col = magmacols[3], type = "l")
#
#
# boxplot(tmp07.maysep$O3_8hrmax_mod ~ tmp07.maysep$dow.num, names = c("Sun","Mon","Tue","Wed","Thu","Fri","Sat"),ylim = yrange, col = magmacols[2], border = magmacols[1], lwd =1.5, main = paste("Modeled O3 day-of-week \n in ",naas.shrt[n],sep = ""), ylab = c("MDA8 ozone"),  cex = 0.5, cex.main = 0.75, cex.lab = 0.5, xlim = c(0,8), cex.axis = 0.5)
# boxplot(tmp16.maysep$O3_8hrmax_mod ~ tmp16.maysep$dow.num, add = TRUE, boxwex = 0.5, col = magmacols[4], border = magmacols[3], axes = FALSE, lwd = 1,  cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5)
#points(c(1:7),dow.mod07.95$per95, pch = 8, col = magmacols[2], type = "l")
#points(c(1:7),dow.mod16.95$per95, pch = 8, col = magmacols[3], type = "l")
#
#dev.off()

#png(paste("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/naa_bps/nov242020_update/",naas.shrt[n],".pb.wewd.24nov2020.png", sep = ""),width = 6, height = 4, units = "in", res = 200) 
png(paste("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/naa_bps/dec042020_update/",naas.shrt[n],".pb.wewd.24dec0420.png", sep = ""),width = 6, height = 4, units = "in", res = 200) 
par(mfcol = c(1,2), mgp = c(1.5,0.5,0))

wewd.obs07.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
wewd.obs16.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
wewd.mod07.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
wewd.mod16.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
for (cat in c("Weekend","Weekday")) {
  wewd.obs07.95[wewd.obs07.95$dow == cat,"per95"] = quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == cat,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
  wewd.obs16.95[wewd.obs16.95$dow == cat,"per95"] = quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == cat,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
  wewd.mod07.95[wewd.mod07.95$dow == cat,"per95"] = quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == cat,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
  wewd.mod16.95[wewd.mod16.95$dow == cat,"per95"] = quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == cat,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)

}

wewd.obs07.sig = ifelse(tmpttest.obs07[3] < 0.05, TRUE, FALSE)
wewd.obs16.sig = ifelse(tmpttest.obs16[3] < 0.05, TRUE, FALSE)
wewd.mod07.sig = ifelse(tmpttest.mod07[3] < 0.05, TRUE, FALSE)
wewd.mod16.sig = ifelse(tmpttest.mod16[3] < 0.05, TRUE, FALSE)

wd.obs07 = ifelse(wewd.obs07.sig, 3, 1)
wd.obs16 = ifelse(wewd.obs16.sig, 3, 1)
wd.mod07 = ifelse(wewd.mod07.sig, 3, 1)
wd.mod16 = ifelse(wewd.mod16.sig, 3, 1)

yrange =  c(0,max(tmp07.maysep.cat$O3_8hrmax_ob,tmp16.maysep.cat$O3_8hrmax_ob, tmp07.maysep.cat$O3_8hrmax_mod, tmp16.maysep.cat$O3_8hrmax_mod, na.rm = TRUE))

 boxplot(tmp07.maysep.cat$O3_8hrmax_ob ~ tmp07.maysep.cat$dow.cat, ylim = yrange, xlim = c(0,6), col = c(magmacols[2], magmacols[4]), border = c(magmacols[1],magmacols[3]), lwd = 1, main = paste("Observed O3 day-of-week \n in ",naas.shrt[n],sep = ""), ylab = c("MDA8 ozone (ppb)"), cex = 0.5, cex.main = 0.65, cex.lab = 1, cex.axis = 0.5, at = c(1,2), axes = FALSE, boxlwd = wd.obs07)
 boxplot(tmp16.maysep.cat$O3_8hrmax_ob ~ tmp16.maysep.cat$dow.cat, add = TRUE, col = c(magmacols[2],magmacols[4]), border = c(magmacols[1],magmacols[3]), axes = FALSE, lwd = 1, cex = 0.5, at = c(4,5), axes = FALSE, boxlwd = wd.obs16)
legend("topright", legend = c("weekday","weekend","95th %ile"), fill = c(magmacols[2],magmacols[4], NA), pch = c(NA,NA,17), border = c(magmacols[1],  magmacols[3],"white"), bg = "white", cex = 0.65)
points(c(2:1),wewd.obs07.95$per95, pch = 24, bg = c(magmacols[3],magmacols[1]), col = c(magmacols[3],magmacols[1]), cex = 1.1)
points(c(5:4),wewd.obs16.95$per95, pch = 24, bg = c(magmacols[3], magmacols[1]), col = c(magmacols[3], magmacols[1]), cex = 1.1)
axis(side = 2)
axis(side = 1, labels = c("2007","2016"), at = c(1.5, 4.5))
box()

 boxplot(tmp07.maysep.cat$O3_8hrmax_mod ~ tmp07.maysep.cat$dow.cat, ylim = yrange, xlim = c(0,6), col = c(magmacols[2],magmacols[4]), border = c(magmacols[1],magmacols[3]), lwd =1, main = paste("Modeled O3 day-of-week \n in ",naas.shrt[n],sep = ""), ylab = c("MDA8 ozone (ppb)"), cex = 0.5, axes = FALSE, boxlwd = wd.mod07 , at = c(1,2), cex.main = 0.65)
 boxplot(tmp16.maysep.cat$O3_8hrmax_mod ~ tmp16.maysep.cat$dow.cat, add = TRUE, col = c(magmacols[2],magmacols[4]), border = c(magmacols[1],magmacols[3]), axes = FALSE, lwd = 1, cex = 0.5, axes = FALSE, boxlwd = wd.mod16, at = c(4,5))
points(c(2:1),wewd.mod07.95$per95, pch = 24, bg = c(magmacols[3],magmacols[1]), col = c(magmacols[3],magmacols[1]), cex = 1.1)
points(c(5:4),wewd.mod16.95$per95, pch = 24, bg = c(magmacols[3], magmacols[1]), col = c(magmacols[3], magmacols[1]), cex = 1.1)
axis(side = 2)
axis(side = 1, labels = c("2007","2016"), at = c(1.5, 4.5))
box()

dev.off()



}


mon2007 = unique(o32007$site)
mon2016 = unique(o32016$site)

monboth = intersect(mon2007, mon2016)


for (m in 1:length(monboth)) {

tmp07.maysep = o32007[o32007$site == monboth[m] & o32007$month %in% c("05","06","07","08","09"),]
tmp07.maysep = tmp07.maysep[!(is.na(tmp07.maysep$naa_name)),]

tmp16.maysep = o32016[o32016$site == monboth[m] & o32016$month %in% c("05","06","07","08","09"),]
tmp16.maysep = tmp16.maysep[!(is.na(tmp16.maysep$naa_name)),]

tmp07.maysep.cat = tmp07.maysep[tmp07.maysep$dow.cat %in% c("Weekend","Weekday"),]
tmp16.maysep.cat = tmp16.maysep[tmp16.maysep$dow.cat %in% c("Weekend","Weekday"),]

if (nrow(tmp07.maysep) < 122) {next}
if (nrow(tmp16.maysep) < 122) {next}

#library("viridis")
#infernocols = inferno(4)
#viridiscols = viridis(4)
#magmacols = magma(4)
#plasmacols = plasma(4)

county = unique(tmp07.maysep$County)
state = unique(tmp07.maysep$State)

#png(paste("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/monitor_bps/nov242020_update/Monitor.",monboth[m],".pb.24nov2020.png", sep = ""),width = 8, height = 4, units = "in", res = 200) 
#par(mfcol = c(1,2), mgp = c(1.5,0.75,0))
#
#dow.obs07.95 = data.frame(dow = c(0:6), per95 = NA)
#dow.obs16.95 = data.frame(dow = c(0:6), per95 = NA)
#dow.mod07.95 = data.frame(dow = c(0:6), per95 = NA)
#dow.mod16.95 = data.frame(dow = c(0:6), per95 = NA)
#for (d in c(0:6)) {
#  dow.obs07.95[dow.obs07.95$dow == d,"per95"] = quantile(tmp07.maysep[tmp07.maysep$dow.num == d,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
#  dow.obs16.95[dow.obs16.95$dow == d,"per95"] = quantile(tmp16.maysep[tmp16.maysep$dow.num == d,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
#  dow.mod07.95[dow.mod07.95$dow == d,"per95"] = quantile(tmp07.maysep[tmp07.maysep$dow.num == d,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
#  dow.mod16.95[dow.mod16.95$dow == d,"per95"] = quantile(tmp16.maysep[tmp16.maysep$dow.num == d,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
#
#}
#
#yrange =  c(0,max(tmp07.maysep$O3_8hrmax_ob,tmp16.maysep$O3_8hrmax_ob, tmp07.maysep$O3_8hrmax_mod, tmp16.maysep$O3_8hrmax_mod, na.rm = TRUE))
#
# boxplot(tmp07.maysep$O3_8hrmax_ob ~ tmp07.maysep$dow.num, names = c("Sun","Mon","Tue","Wed","Thu","Fri","Sat"),ylim = yrange, col = magmacols[2], border = magmacols[1], lwd =1.5, main = paste("Observed O3 day-of-week \n in ",county," Co, ",state,"\n Monitor ", monboth[m],sep = ""), ylab = c("MDA8 ozone"), cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5, xlim = c(0,8))
# boxplot(tmp16.maysep$O3_8hrmax_ob ~ tmp16.maysep$dow.num, add = TRUE, boxwex = 0.5, col = magmacols[4], border = magmacols[3], axes = FALSE, lwd = 1, cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5)
#legend("topright", legend = c("2007","2016"), fill = c(magmacols[2],magmacols[4]), border = c(magmacols[1],  magmacols[3]), bg = "white", cex = 0.75)
#points(c(1:7),dow.obs07.95$per95, pch = 8, col = magmacols[2], type = "l")
#points(c(1:7),dow.obs16.95$per95, pch = 8, col = magmacols[3], type = "l")
#
#
# boxplot(tmp07.maysep$O3_8hrmax_mod ~ tmp07.maysep$dow.num, names = c("Sun","Mon","Tue","Wed","Thu","Fri","Sat"),ylim = yrange, col = magmacols[2], border = magmacols[1], lwd =1.5, main = paste("Modeled O3 day-of-week \n in ",county," Co, ",state,"\n Monitor ", monboth[m],sep = ""), ylab = c("MDA8 ozone"),  cex = 0.5, cex.main = 0.75, cex.lab = 0.5, xlim = c(0,8), cex.axis = 0.5)
# boxplot(tmp16.maysep$O3_8hrmax_mod ~ tmp16.maysep$dow.num, add = TRUE, boxwex = 0.5, col = magmacols[4], border = magmacols[3], axes = FALSE, lwd = 1,  cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5)
#points(c(1:7),dow.mod07.95$per95, pch = 8, col = magmacols[2], type = "l")
#points(c(1:7),dow.mod16.95$per95, pch = 8, col = magmacols[3], type = "l")
#
#
#
#dev.off()
#
#png(paste("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/monitor_bps/nov242020_update/Monitor.",monboth[m],"wewd.pb.24nov2020.png", sep = ""),width = 6, height = 4, units = "in", res = 200) 
#par(mfcol = c(1,2), mgp = c(1.5,0.75,0))
#
#wewd.obs07.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
#wewd.obs16.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
#wewd.mod07.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
#wewd.mod16.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
#for (cat in c("Weekend","Weekday")) {
#  wewd.obs07.95[wewd.obs07.95$dow == cat,"per95"] = quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == cat,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
#  wewd.obs16.95[wewd.obs16.95$dow == cat,"per95"] = quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == cat,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
#  wewd.mod07.95[wewd.mod07.95$dow == cat,"per95"] = quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == cat,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
#  wewd.mod16.95[wewd.mod16.95$dow == cat,"per95"] = quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == cat,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
#
#}
#
#yrange =  c(0,max(tmp07.maysep.cat$O3_8hrmax_ob,tmp16.maysep.cat$O3_8hrmax_ob, tmp07.maysep.cat$O3_8hrmax_mod, tmp16.maysep.cat$O3_8hrmax_mod, na.rm = TRUE))
#
#
# boxplot(tmp07.maysep.cat$O3_8hrmax_ob ~ tmp07.maysep.cat$dow.cat, ylim = yrange, col = magmacols[2], border = magmacols[1], lwd =1.5, main = paste("Observed O3 day-of-week \n in ",county," Co, ",state,"\n Monitor ", monboth[m],sep = ""), ylab = c("MDA8 ozone"), cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5, xlim = c(0,4), names = c("wkday","wkend"))
# boxplot(tmp16.maysep.cat$O3_8hrmax_ob ~ tmp16.maysep.cat$dow.cat, add = TRUE, boxwex = 0.5, col = magmacols[4], border = magmacols[3], axes = FALSE, lwd = 1, cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5)
#legend("topright", legend = c("2007","2016","95th %ile"), fill = c(magmacols[2],magmacols[4], NA), pch = c(NA,NA,17), border = c(magmacols[1],  magmacols[3],"white"), bg = "white", cex = 0.65)
#points(c(2:1),wewd.obs07.95$per95, pch = 24, bg = magmacols[1], col = magmacols[2], cex = 1.1)
#points(c(2:1),wewd.obs16.95$per95, pch = 24, bg = magmacols[4], col = magmacols[3], cex = 1.1)
#
# boxplot(tmp07.maysep.cat$O3_8hrmax_mod ~ tmp07.maysep.cat$dow.cat, ylim = yrange, col = magmacols[2], border = magmacols[1], lwd =1.5, main = paste("Modeled O3 day-of-week \n in ",county, " Co, ",state,"\n Monitor ", monboth[m],sep = ""), ylab = c("MDA8 ozone"), cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5, xlim = c(0,4), names = c("wkday","wkend"))
# boxplot(tmp16.maysep.cat$O3_8hrmax_mod ~ tmp16.maysep.cat$dow.cat, add = TRUE, boxwex = 0.5, col = magmacols[4], border = magmacols[3], axes = FALSE, lwd = 1, cex = 0.5, cex.main = 0.75, cex.lab = 0.5, cex.axis = 0.5)
#points(c(2:1),wewd.mod07.95$per95, pch = 24, bg = magmacols[1], col = magmacols[2], cex = 1.1)
#points(c(2:1),wewd.mod16.95$per95, pch = 24, bg = magmacols[4], col = magmacols[3], cex = 1.1)
#
#dev.off()


png(paste("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/monitor_bps/dec042020_update/Monitor.",monboth[m],"wewd.pb.04dec2020.png", sep = ""),width = 6, height = 4, units = "in", res = 200) 
par(mfcol = c(1,2), mgp = c(1.5,0.5,0))

wewd.obs07.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
wewd.obs16.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
wewd.mod07.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
wewd.mod16.95 = data.frame(dow = c("Weekend","Weekday"), per95 = NA)
for (cat in c("Weekend","Weekday")) {
  wewd.obs07.95[wewd.obs07.95$dow == cat,"per95"] = quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == cat,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
  wewd.obs16.95[wewd.obs16.95$dow == cat,"per95"] = quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == cat,"O3_8hrmax_ob"], prob = 0.95, na.rm = TRUE)
  wewd.mod07.95[wewd.mod07.95$dow == cat,"per95"] = quantile(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == cat,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)
  wewd.mod16.95[wewd.mod16.95$dow == cat,"per95"] = quantile(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == cat,"O3_8hrmax_mod"], prob = 0.95, na.rm = TRUE)

}

tmpttest.obs07 = t.test(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekend","O3_8hrmax_ob"],tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"])
tmpttest.obs16 = t.test(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekend","O3_8hrmax_ob"],tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_ob"])
tmpttest.mod07 = t.test(tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekend","O3_8hrmax_mod"],tmp07.maysep.cat[tmp07.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"])
tmpttest.mod16 = t.test(tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekend","O3_8hrmax_mod"],tmp16.maysep.cat[tmp16.maysep.cat$dow.cat == "Weekday","O3_8hrmax_mod"])

wewd.obs07.sig = ifelse(tmpttest.obs07[3] < 0.05, TRUE, FALSE)
wewd.obs16.sig = ifelse(tmpttest.obs16[3] < 0.05, TRUE, FALSE)
wewd.mod07.sig = ifelse(tmpttest.mod07[3] < 0.05, TRUE, FALSE)
wewd.mod16.sig = ifelse(tmpttest.mod16[3] < 0.05, TRUE, FALSE)

wd.obs07 = ifelse(wewd.obs07.sig, 3, 1)
wd.obs16 = ifelse(wewd.obs16.sig, 3, 1)
wd.mod07 = ifelse(wewd.mod07.sig, 3, 1)
wd.mod16 = ifelse(wewd.mod16.sig, 3, 1)

yrange =  c(0,max(tmp07.maysep.cat$O3_8hrmax_ob,tmp16.maysep.cat$O3_8hrmax_ob, tmp07.maysep.cat$O3_8hrmax_mod, tmp16.maysep.cat$O3_8hrmax_mod, na.rm = TRUE))

 boxplot(tmp07.maysep.cat$O3_8hrmax_ob ~ tmp07.maysep.cat$dow.cat, ylim = yrange, xlim = c(0,6), col = c(magmacols[2], magmacols[4]), border = c(magmacols[1],magmacols[3]), lwd =1, main = paste("Observed O3 day-of-week \n in ",county," Co, ",state,"\n Monitor ", monboth[m],sep = ""), ylab = c("MDA8 ozone (ppb)"), cex = 0.5, cex.main = 0.65, cex.lab = 1, cex.axis = 0.5, at = c(1,2), axes = FALSE, boxlwd = wd.obs07)
 boxplot(tmp16.maysep.cat$O3_8hrmax_ob ~ tmp16.maysep.cat$dow.cat, add = TRUE, col = c(magmacols[2],magmacols[4]), border = c(magmacols[1],magmacols[3]), axes = FALSE, lwd = 1, cex = 0.5, at = c(4,5), axes = FALSE, boxlwd = wd.obs16)
legend("topright", legend = c("weekday","weekend","95th %ile"), fill = c(magmacols[2],magmacols[4], NA), pch = c(NA,NA,17), border = c(magmacols[1],  magmacols[3],"white"), bg = "white", cex = 0.65)
points(c(2:1),wewd.obs07.95$per95, pch = 24, bg = c(magmacols[3],magmacols[1]), col = c(magmacols[3],magmacols[1]), cex = 1.1)
points(c(5:4),wewd.obs16.95$per95, pch = 24, bg = c(magmacols[3], magmacols[1]), col = c(magmacols[3], magmacols[1]), cex = 1.1)
axis(side = 2)
axis(side = 1, labels = c("2007","2016"), at = c(1.5, 4.5))
box()

 boxplot(tmp07.maysep.cat$O3_8hrmax_mod ~ tmp07.maysep.cat$dow.cat, ylim = yrange, xlim = c(0,6), col = c(magmacols[2],magmacols[4]), border = c(magmacols[1],magmacols[3]), lwd = 1, main = paste("Modeled O3 day-of-week \n in ",county," Co, ",state,"\n Monitor ", monboth[m],sep = ""), ylab = c("MDA8 ozone (ppb)"), cex = 0.5, axes = FALSE, boxlwd = wd.mod07 , at = c(1,2), cex.main = 0.65)
 boxplot(tmp16.maysep.cat$O3_8hrmax_mod ~ tmp16.maysep.cat$dow.cat, add = TRUE, col = c(magmacols[2],magmacols[4]), border = c(magmacols[1],magmacols[3]), axes = FALSE, lwd = 1, cex = 0.5, axes = FALSE, boxlwd = wd.mod16, at = c(4,5))
points(c(2:1),wewd.mod07.95$per95, pch = 24, bg = c(magmacols[3],magmacols[1]), col = c(magmacols[3],magmacols[1]), cex = 1.1)
points(c(5:4),wewd.mod16.95$per95, pch = 24, bg = c(magmacols[3], magmacols[1]), col = c(magmacols[3], magmacols[1]), cex = 1.1)
axis(side = 2)
axis(side = 1, labels = c("2007","2016"), at = c(1.5, 4.5))
box()

dev.off()

}


dowttest$obs.2007.cat = ifelse(dowttest$obs.2007.pval > 0.05, "mixed", dowttest$obs.2007.cat)
dowttest$obs.2007.cat = ifelse(dowttest$obs.2007.pval < 0.05 & dowttest$obs.2007.diff < 0, "Nox Lim", dowttest$obs.2007.cat)
dowttest$obs.2007.cat = ifelse(dowttest$obs.2007.pval < 0.05 & dowttest$obs.2007.diff > 0, "Nox Sat", dowttest$obs.2007.cat)
dowttest$obs.2016.cat = ifelse(dowttest$obs.2016.pval > 0.05, "mixed", dowttest$obs.2016.cat)
dowttest$obs.2016.cat = ifelse(dowttest$obs.2016.pval < 0.05 & dowttest$obs.2016.diff < 0, "Nox Lim", dowttest$obs.2016.cat)
dowttest$obs.2016.cat = ifelse(dowttest$obs.2016.pval < 0.05 & dowttest$obs.2016.diff > 0, "Nox Sat", dowttest$obs.2016.cat)
dowttest$mod.2007.cat = ifelse(dowttest$mod.2007.pval > 0.05, "mixed", dowttest$mod.2007.cat)
dowttest$mod.2007.cat = ifelse(dowttest$mod.2007.pval < 0.05 & dowttest$mod.2007.diff < 0, "Nox Lim", dowttest$mod.2007.cat)
dowttest$mod.2007.cat = ifelse(dowttest$mod.2007.pval < 0.05 & dowttest$mod.2007.diff > 0, "Nox Sat", dowttest$mod.2007.cat)
dowttest$mod.2016.cat = ifelse(dowttest$mod.2016.pval > 0.05, "mixed", dowttest$mod.2016.cat)
dowttest$mod.2016.cat = ifelse(dowttest$mod.2016.pval < 0.05 & dowttest$mod.2016.diff < 0, "Nox Lim", dowttest$mod.2016.cat)
dowttest$mod.2016.cat = ifelse(dowttest$mod.2016.pval < 0.05 & dowttest$mod.2016.diff > 0, "Nox Sat", dowttest$mod.2016.cat)

#write.table(dowttest,file = "/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/dowttest.24nov2020.csv",sep = ",", row.names = FALSE, col.names = TRUE)
#write.table(dow.95perc,file = "/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/dow.95perc.24nov2020.csv",sep = ",", row.names = FALSE, col.names = TRUE)
write.table(dowttest,file = "/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/dowttest.04dec2020.csv",sep = ",", row.names = FALSE, col.names = TRUE)
write.table(dow.95perc,file = "/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/dow.95perc.04dec2020.csv",sep = ",", row.names = FALSE, col.names = TRUE)

#save.image("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/o3dow.24nov2020.rdata")
save.image("/work/romo/users/shn/o3rea_2020/model_indicatorratio/o3dow/o3dow.04dec2020.rdata")



